LOCALSEARCH-3(1)

NAME
localsearch-3 - Filesystem indexer.

SYNOPSIS

localsearch-3 [OPTION...]

DESCRIPTION

localsearch-3 is not supposed to be run by the user since it is started by systemd when the user logs in. Of course, it can also be started manually for debugging purposes. You can not run more than one instance of this at the same time.

localsearch-3 mines information about applications and files only.

OPTIONS

-?, --help
    Show summary of options.

-V, --version
    Returns the version of this binary.

-n, --no-daemon
    Tells the indexer to exit once all indexing has finished and the database is up to date. This is not the default mode of operation for the indexer, usually it stays around acting like a daemon to monitor file updates which may occur over time. This option renders the --initial-sleep option moot.

-e, --eligible=FILE
    Checks if FILE is eligible for being mined based on the current configuration rules. In addition to this, it will check if FILE would be monitored for changes. This works with non-existing FILE arguments as well as existing FILE arguments.

DESKTOP INTEGRATION

Desktop environments that make use of localsearch-3 should start the localsearch-3.service user unit on startup. For instance, sessions managed by gnome-session can add this service as a Wants= dependency in their gnome-session@name.target.d/session.conf drop-in.

This allows sessions to disable background filesystem indexing (by simply not starting localsearch-3.service) in situations where it’s not necessary (i.e. special kiosk sessions)

SEE ALSO

localsearch-info(1).